> ## Documentation Index
> Fetch the complete documentation index at: https://sage.ask-wire.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find a parcel by registration block and number

> Resolve a Cyprus parcel using its district/village/quarter codes and registration block and number.

## Overview

Resolves a Cyprus cadastral parcel from its administrative location codes plus registration block and number, returning the parcel's identifier, geometry, and coordinates.

Use [Registration blocks](https://sage.ask-wire.com/api-reference/endpoint/registration-blocks.md) to discover valid `registration_block` values for a given area.

***

## Query parameters

| Parameter | Type | Required | Description |
| - | - | - | - |
| `district_code` | string | Yes | District code. |
| `village_code` | string | Yes | Village code. |
| `quarter_code` | string | No | Quarter code. |
| `registration_block` | string | Yes | Registration block identifier. |
| `registration_number` | string | Yes | Registration number identifier. |

***

## Response fields

| Field | Type | Description |
| - | - | - |
| `id` | string | Parcel identifier (max 30 characters). |
| `geometry` | string | Parcel geometry (WKT). |
| `coordinates` | string | Parcel coordinates. |
| `feature_id` | string \| null | Underlying GIS feature identifier. |

***

## Example request

```bash theme={null}
curl -X GET "https://pandora.ask-wire.com/cy/cadastral-search/?district_code=04&village_code=0412&registration_block=0%2F4412&registration_number=17%2F2009" \
  -H "Authorization: Bearer YOUR_TOKEN"
```


## OpenAPI

````yaml GET /cy/cadastral-search/
openapi: 3.1.0
info:
  title: Properties API
  version: 1.0.0
  description: Public properties and foreclosure listings API
servers:
  - url: https://pandora.ask-wire.com
    description: Main API (Properties)
  - url: https://zeus.ask-wire.com
    description: Auth API
security:
  - bearerAuth: []
paths:
  /cy/cadastral-search/:
    get:
      summary: Find a parcel by registration block and number
      operationId: cadastralSearchByRegistration
      parameters:
        - name: district_code
          in: query
          required: true
          schema:
            type: string
          description: District code
        - name: village_code
          in: query
          required: true
          schema:
            type: string
          description: Village code
        - name: quarter_code
          in: query
          required: false
          schema:
            type: string
          description: Quarter code (optional)
        - name: registration_block
          in: query
          required: true
          schema:
            type: string
          description: Registration block identifier
        - name: registration_number
          in: query
          required: true
          schema:
            type: string
          description: Registration number identifier
      responses:
        '200':
          description: The matched parcel
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CadastralSearchResult'
        '404':
          description: Not found
components:
  schemas:
    CadastralSearchResult:
      type: object
      properties:
        id:
          type: string
          maxLength: 30
        geometry:
          type: string
          readOnly: true
          description: WKT geometry of the parcel.
        coordinates:
          type: string
          readOnly: true
        feature_id:
          type: string
          nullable: true
          readOnly: true
      required:
        - coordinates
        - feature_id
        - geometry
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.